#version 330

uniform sampler2DRect inputTex;
uniform sampler2DRect inputTex1;
uniform sampler2DRect maskTex;
uniform float transitionProgressLinear=1.0;
uniform float transitionAlpha=1.0;
uniform float baseAlpha=1.0;
uniform vec4 burnColor=vec4(0,0,0,1);

in vec2 fsTexture;
in vec2 fsTexture2;
in vec2 fsMaskTexture;
in float fsMix;

out vec4 outColor;

void main()
{
    vec4 colorA = texture(inputTex, fsTexture);
    vec4 colorB = texture(inputTex1, fsTexture2);
    
    if(transitionProgressLinear<=.5)
    {
        outColor=colorB;
        outColor.rgb+=fsMix;
    }
    else
    {
        outColor=colorA;
        outColor.rgb+=fsMix;
    }
#ifdef USE_MASK
    outColor.a*=texture(maskTex,fsMaskTexture).a;
#endif
}
